using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;

using Steema.TeeChart;
using Android.Graphics;
using System.Collections;
using Android.Content.PM;
using Steema.TeeChart.Tools;
using MonoDroidDemo;

namespace AndroidApplication5
{
  [Activity(Label = "AndroidApplication5", MainLauncher = true, Icon = "@drawable/icon", ScreenOrientation = ScreenOrientation.Sensor)]
  public class Activity1 : Activity
  {
    private Steema.TeeChart.TChart tChart1;

    protected override void OnCreate(Bundle bundle)
    {
      base.OnCreate(bundle);

      // Set our view from the "main" layout resource
      SetContentView(Resource.Layout.ScrollView);

      //Steema.TeeChart.TChart tChart1 = new Steema.TeeChart.TChart(this);
      tChart1 = new Steema.TeeChart.TChart(this);

      //Steema.TeeChart.Styles.Line line1 = new Steema.TeeChart.Styles.Line();
      Steema.TeeChart.Styles.Line line1 = new Steema.TeeChart.Styles.Line(tChart1.Chart);

      Random Rnd = new Random();

      for (int t = 0; t < 6250; t++)
      {
        line1.Add(t, ((Rnd.Next(100)) + 1) - ((Rnd.Next(70)) + 1));
      }

      tChart1.Aspect.View3D = false;
      tChart1.Zoom.Style = Steema.TeeChart.ZoomStyles.Classic;

      //Set the intervals for the Axis. 
      Steema.TeeChart.Axis bottomAxis = tChart1.Axes.Bottom;
      bottomAxis.Increment = 250;

      Steema.TeeChart.Axis leftAxis = tChart1.Axes.Left;
      leftAxis.Increment = 10;

      tChart1.Header.Visible = true;
      tChart1.Header.Text = "ECG Thesis";
      tChart1.Header.Alignment = Android.Graphics.Paint.Align.Center;
      tChart1.Header.Font.Size = 20;

      tChart1.Legend.Visible = false;

      tChart1.Axes.Top.AxisPen.Color = System.Drawing.Color.Black;
      tChart1.Axes.Right.AxisPen.Color = System.Drawing.Color.Black;
      tChart1.Axes.Left.AxisPen.Color = System.Drawing.Color.Black;
      tChart1.Axes.Bottom.AxisPen.Color = System.Drawing.Color.Black;
      tChart1.Axes.Top.AxisPen.Width = 1;
      tChart1.Axes.Right.AxisPen.Width = 1;
      tChart1.Axes.Left.AxisPen.Width = 1;
      tChart1.Axes.Bottom.AxisPen.Width = 1;

      LinearLayout lLayout = FindViewById<LinearLayout>(Resource.Id.linearLayout2);
      lLayout.AddView(tChart1, new LinearLayout.LayoutParams(ViewGroup.LayoutParams.FillParent, ViewGroup.LayoutParams.FillParent));

      //ScrollView sView = FindViewById<ScrollView>(Resource.Id.scrollView1);
      //sView.FillViewport = true;
    }
  }
}